> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/pullrequestevent.md).

# Pull Request Event

## Description

The events that relate to a Pull Request, such as when a PR is Open, Closed or a review occurs.

## Measures

| Name                                  | Title                | Description                                                        |
| ------------------------------------- | -------------------- | ------------------------------------------------------------------ |
| `PullRequestEvent.totalEventDuration` | Total Event Duration | Total time across events.                                          |
| `PullRequestEvent.avgEventDuration`   | Avg Event Duration   | Average time across events.                                        |
| `PullRequestEvent.minEventDuration`   | Min Event Duration   | Shortest time recorded across events.                              |
| `PullRequestEvent.maxEventDuration`   | Max Event Duration   | Longest time recorded across events.                               |
| `PullRequestEvent.eventCount`         | Event Count          | Total number of pull request events.                               |
| `PullRequestEvent.accEventCount`      | Acc Event Count      | Running total of pull request events over time.                    |
| `PullRequestEvent.accOpening`         | Acc Opening          | Cumulative count of PRs that were opened (state = 'Open').         |
| `PullRequestEvent.accClosing`         | Acc Closing          | Cumulative count of PRs that were closed (state = 'Closed').       |
| `PullRequestEvent.active`             | Active               | Number of active PRs, based on difference in sum of open vs closed |

## Dimensions

| Name                             | Title          | Description                                                |
| -------------------------------- | -------------- | ---------------------------------------------------------- |
| `PullRequestEvent.timeInterval`  | Time of Event  | Timestamp indicating when the pull request event occurred. |
| `PullRequestEvent.id`            | Id             |                                                            |
| `PullRequestEvent.event`         | Event          | A label representing the pull request event type.          |
| `PullRequestEvent.eventDuration` | Event Duration | Duration between the last event and this event.            |

## Connected Cubes

All fields belonging to the following cubes are also reachable from PullRequestEvent:

* [Pull Request](/advanced/datastudio-data-model/models/pullrequestdetail.md)
* [Pull Request Jira Issue](/advanced/datastudio-data-model/models/pullrequestjiraissue.md)
* [Pull Request Event](/advanced/datastudio-data-model/models/pullrequestevent.md)
* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [CI Build](/advanced/datastudio-data-model/models/cibuild.md)
* [CI Build Stage](/advanced/datastudio-data-model/models/cibuildstage.md)
* [Planning Ticket Component](/advanced/datastudio-data-model/models/jiracomponent.md)
* [Planning Ticket Custom Field](/advanced/datastudio-data-model/models/jiracustomfield.md)
* [Epic](/advanced/datastudio-data-model/models/jiraepic.md)
* [Planning Ticket Hierarchy Issues](/advanced/datastudio-data-model/models/jirahierarchyissues.md)
* [Planning Ticket Hierarchy Issue Link](/advanced/datastudio-data-model/models/jiraissuehierarchylink.md)
* [Planning Ticket](/advanced/datastudio-data-model/models/jiraissuedetail.md)
* [Planning Ticket Event](/advanced/datastudio-data-model/models/jiraissueevent.md)
* [Planning Ticket Label](/advanced/datastudio-data-model/models/jiralabel.md)
* [Planning Sprint](/advanced/datastudio-data-model/models/jirasprint.md)
* [Planning Ticket State Durations](/advanced/datastudio-data-model/models/jirastatedurations.md)
* [Repositories](/advanced/datastudio-data-model/models/project.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/pullrequestevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
